package org.netbeans.lib.cvsclient.progress.sending;

import org.netbeans.lib.cvsclient.request.*;

/**
 * @author Thomas Singer
 */
public final class DummyRequestsProgressHandler
		implements IRequestsProgressHandler {

	// Static =================================================================

	private static final IRequestsProgressHandler INSTANCE = new DummyRequestsProgressHandler();

	public static IRequestsProgressHandler getInstance() {
		return INSTANCE;
	}

	// Setup ==================================================================

	private DummyRequestsProgressHandler() {
	}

	// Implemented ============================================================

	public void requestSent(IRequest request) {
	}
}
